@import 'font.scss';
html {
    @media only screen and (device-width: 812px) and (device-height: 375px) and (-webkit-device-pixel-ratio: 3) {
      padding: env(safe-area-inset);
      padding: constant(safe-area-inset);
    }
  
    @media only screen and (device-width: 896px) and (device-height: 414px) and (-webkit-device-pixel-ratio: 3) {
      padding: env(safe-area-inset);
      padding: constant(safe-area-inset);
    }
}
  
body {
    font-family: "Kanit-Light",tahoma;
    padding:0;
    margin:0;
    background: #000;
    font-size: 24px;
    @media(max-width: 1024px) {
        font-size: 20px;
    }
    @media(max-width: 640px) {
        font-size: 18px;
    }
}
* {
    //user-select: none;
}
h1, h2, h3, h4, h5, h6 {
    margin: 0;
}
ul, li {
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}
img{
    max-width: 100%;
    max-height: 100%;
}
.page {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 1000;
    &__loading {
        display: block;
        width: 100%;
        height: 100%;
        text-align: center;
        color: #FFFFFF;
        vertical-align: middle;
        font-size: 30px;
        background-color: rgba(0,0,0,0.6);
        &:before {
            content: "";
            display: inline-block;
            height: 100%;
            width: 0px;
            vertical-align: middle;
        }
    }
    &.close {
        display: none;
    }
}

.events-bns{
    position: relative;
    overflow-x: hidden;
}
.archer{
    position: relative;
    background:url("../static/images/bg.jpg")top center no-repeat;
    background-size: 100%;
    width:100%;
    min-height: 150vh;
    &__warpscroll{
        position: relative;
        width: 100%;
        height: 650px;
        display: block;
        margin-bottom: 8%;
    }
    &__scroll {
        text-align: center;
        width:100%;
        position: absolute;
        bottom: 0%;
        >img{
            animation: mover 1s infinite alternate;
        }
    }
    &__board-register{
        background:url("../static/images/board_register.png")top center no-repeat;
        background-size: 100%;
        width: 100%;
        @media(max-width: 1104px) {
            height: calc(100vw * (1442 / 1141));
        }
        height: 1442px;
        margin: 0 auto;
        position: relative;
    }
    &__btnregister{
        position: absolute;
        top: 300px;
        left: 50%;
        transform: translate(-50%, -50%);
        background:url("../static/images/btn_register-all.png")top center no-repeat;
        background-size: 100% auto;
        width: 33%;
        padding-top: calc(33%*(82/402));
        cursor: pointer;
        &:hover{
            background-position: bottom center;
        }
        &.registered{
            background:url("../static/images/btn_registered.png")top center no-repeat;
            background-size: 100% auto;
            pointer-events: none;
            cursor: default;
            &:hover{
                background-position: top center;
            }
        }
    }
    &__text{
        position: absolute;
        width: 100%;
        text-align: center;
        font-style: italic;
        top: 390px;
        @media(max-width: 640px) {
            top: 40vw;
        }
    }
    &__title{
        color: #fff;
        font-size: 1.3em;
        @media(max-width: 1024px) {
            font-size: 3.5vw;
        }
    }
    &__count{
        color: #fae5a3;
        font-size: 2.5em;
        @media(max-width: 1024px) {
            font-size: 5vw;
        }
        >span{
            font-family: "Kanit-Medium",tahoma;
        }
    }
    &__buy{
        position: absolute;
        width: 20%;
        right: 9%;
        top: 260px;
        z-index: 1;
        @media(max-width: 640px) {
            width: 25%;
            right: 0;
            top: 18%;
        }
    }
    &__board-reward{
        position: relative;
        margin-top: -735px;
        @media(max-width: 1104px) {
            margin-top: -62%;
        }
        >img{
            width: 100%;
        }
        background:url("../static/images/board_reward.png")top center no-repeat;
        background-size: 100%;
        width: 100%;
        height: calc(100vw * (1959/1136));
    }
}